package com.goafanti.user.service;

import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.user.bo.InputListOrderUserService;
import com.goafanti.user.bo.InputUserServiceFollow;
import com.goafanti.user.bo.OutOrderUserService;
import com.goafanti.user.bo.OutUserServiceFollow;

import java.util.List;

public interface UserServiceService {

	int addUseService(InputUserServiceFollow us);


	List<OutUserServiceFollow> listUseServiceFollow(String uid);


	Pagination<OutOrderUserService> listOrderUseService(InputListOrderUserService i);


	List<OutOrderUserService> listOrderUseServiceGetList(InputListOrderUserService i);


}
